import React, { useState, useEffect } from 'react'
import { AsyncStorage } from 'react-native'
import StatusView from '../../components/status-view/index'
import consts from '../../consts'
import { resetNavigatePage } from '../../router'

const AppInit = ({ navigation }) => {
  const [loading, setLoading] = useState(true)
  useEffect(() => {
    let timer = null
    AsyncStorage.getItem(consts.USER_INFO).then(userInfoText => {
      setLoading(false)
      const targetNavigation = userInfoText ? 'Home' : 'Login'
      timer = setTimeout(() => {
        resetNavigatePage(navigation, targetNavigation, {})
      }, 1000)
    })
    return () => {
      clearTimeout(timer)
    }
  })
  return <StatusView loading={loading} />
}

export default AppInit
