import { createAppContainer, StackActions, NavigationActions } from 'react-navigation'
import { createStackNavigator } from 'react-navigation-stack'
import { createBottomTabNavigator } from 'react-navigation-tabs'
import Login from '../pages/login'
import Home from '../pages/home'
import Mine from '../pages/mine'
import AppInit from '../pages/appinit'

export function resetNavigatePage(navigation, page, params) {
  const resetAction = StackActions.reset({
    index: 0,
    actions: [
      //要跳转到的页面名字
      NavigationActions.navigate({ routeName: page, params }),
    ],
  })
  navigation.dispatch(resetAction)
}

const AppTabNavigator = createBottomTabNavigator(
  {
    Home: {
      screen: Home,
      path: 'home',
    },
    Mine: {
      screen: Mine,
      path: 'mine',
    },
  },
  {
    initialRouteName: 'Home',
  }
)

const AppNavigator = createStackNavigator(
  {
    AppInit: {
      screen: AppInit,
      navigationOptions: ({ navigation }) => ({
        headerShown: false,
      }),
    },
    Login: {
      screen: Login,
      path: 'login',
    },
    TabMain: AppTabNavigator,
  },
  {
    initialRouteName: 'AppInit',
  }
)

const AppRouter = createAppContainer(AppNavigator)

export default AppRouter
